# H4503_ARGUMENT_callRerouting Class Reference

`#include <h4503.h>`

Inheritance diagram for H4503_ARGUMENT_callRerouting:

List of all members.

## Public Types

enum | OptionalFields { e_originalReroutingReason, e_callingPartySubaddress, e_callingInfo, e_originalCalledNr, e_redirectingInfo, e_originalCalledInfo, e_extension }

## Public Member Functions

| H4503_ARGUMENT_callRerouting (unsigned tag=UniversalSequence, TagClass tagClass=UniversalTagClass)
PINDEX | GetDataLength () const
PBoolean | Decode (PASN_Stream &strm)
void | Encode (PASN_Stream &strm) const
void | PrintOn (ostream &strm) const
Comparison | Compare (const PObject &obj) const
PObject * | Clone () const

## Public Attributes

H4503_DiversionReason | m_reroutingReason
H4503_DiversionReason | m_originalReroutingReason
H4501_EndpointAddress | m_calledAddress
PASN_Integer | m_diversionCounter
H4501_H225InformationElement | m_h225InfoElement
H4501_EndpointAddress | m_lastReroutingNr
H4503_SubscriptionOption | m_subscriptionOption
H4501_PartySubaddress | m_callingPartySubaddress
H4501_EndpointAddress | m_callingNumber
PASN_BMPString | m_callingInfo
H4501_EndpointAddress | m_originalCalledNr
PASN_BMPString | m_redirectingInfo
PASN_BMPString | m_originalCalledInfo
H4503_ARGUMENT_callRerouting_extension | m_extension

## Member Enumeration Documentation

enum H4503_ARGUMENT_callRerouting::OptionalFields

Enumerator:

  e_originalReroutingReason |
  e_callingPartySubaddress |
  e_callingInfo |
  e_originalCalledNr |
  e_redirectingInfo |
  e_originalCalledInfo |
  e_extension |

## Constructor & Destructor Documentation

H4503_ARGUMENT_callRerouting::H4503_ARGUMENT_callRerouting | ( | unsigned | tag = `UniversalSequence`,
|  | TagClass | tagClass = `UniversalTagClass` |
| ) |  |  |

## Member Function Documentation

PINDEX H4503_ARGUMENT_callRerouting::GetDataLength | ( |  | ) | const

PBoolean H4503_ARGUMENT_callRerouting::Decode | ( | PASN_Stream & | strm | ) |

void H4503_ARGUMENT_callRerouting::Encode | ( | PASN_Stream & | strm | ) | const

void H4503_ARGUMENT_callRerouting::PrintOn | ( | ostream & | strm | ) | const

Comparison H4503_ARGUMENT_callRerouting::Compare | ( | const PObject & | obj | ) | const

PObject* H4503_ARGUMENT_callRerouting::Clone | ( |  | ) | const

## Member Data Documentation

H4503_DiversionReason H4503_ARGUMENT_callRerouting::m_reroutingReason

H4503_DiversionReason H4503_ARGUMENT_callRerouting::m_originalReroutingReason

H4501_EndpointAddress H4503_ARGUMENT_callRerouting::m_calledAddress

PASN_Integer H4503_ARGUMENT_callRerouting::m_diversionCounter

H4501_H225InformationElement H4503_ARGUMENT_callRerouting::m_h225InfoElement

H4501_EndpointAddress H4503_ARGUMENT_callRerouting::m_lastReroutingNr

H4503_SubscriptionOption H4503_ARGUMENT_callRerouting::m_subscriptionOption

H4501_PartySubaddress H4503_ARGUMENT_callRerouting::m_callingPartySubaddress

H4501_EndpointAddress H4503_ARGUMENT_callRerouting::m_callingNumber

PASN_BMPString H4503_ARGUMENT_callRerouting::m_callingInfo

H4501_EndpointAddress H4503_ARGUMENT_callRerouting::m_originalCalledNr

PASN_BMPString H4503_ARGUMENT_callRerouting::m_redirectingInfo

PASN_BMPString H4503_ARGUMENT_callRerouting::m_originalCalledInfo

H4503_ARGUMENT_callRerouting_extension H4503_ARGUMENT_callRerouting::m_extension

The documentation for this class was generated from the following file:

- h4503.h